<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>SoundFaith</title>
	<?php
	$absolute_path = __FILE__;
	$path_to_file = explode('wp-content', $absolute_path);
	$path_to_wp = $path_to_file[0];
	// Access WordPress file & function
	require_once($path_to_wp . '/wp-load.php');
	?>
<link href='../css/style.css' rel='stylesheet' type='text/css'>
</head>
<body>
<div id="soundfaith-dialog">
	<?php
	 $soundfaith_group_id  = get_option( 'soundfaith_group_id' );
	?>
	<input type="hidden" name="soundfaith-group-id" value="<?php echo $soundfaith_group_id ; ?>"/>
	<div>
	<label for="soundfaith-preview"><?php _e( 'Preview','soundfaith' );?></label>
	<iframe id="soundfaith_iframe" frameborder="0" scrolling="no" allowfullscreen src="https://soundfaith.com/embed/profile/<?php echo $soundfaith_group_id ; ?>/recent?includePlaylist=true&scroll=true&includeSpeaker=true&includeSeries=true&includeDatePresented=true" width="100%" height="646"></iframe>
	</div>
	<form action="/" method="get" accept-charset="utf-8" id="soundfaith_form" enctype="multipart/form-data">
		<div>
			<label for="soundfaith-content"><?php _e( 'Plugin size','soundfaith' );?></label>
			<input type="text" name="soundfaith-iframe-width" value="640" size="4"/>&nbsp;<?php _e( 'x','soundfaith' );?> &nbsp;
			<input type="text" name="soundfaith-iframe-height" value="646" size="4"/>
		</div>
		<div>
			<label>
				<input type="checkbox" name="soundfaith-include-playlist" id="soundfaith-include-playlist" value="true" checked="checked" />
				<?php _e( 'Show playlist','soundfaith' );?>
			</label>
		</div>
		<div>
			<label>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="soundfaith-include-speaker" value="true" checked="checked" />
				<?php _e( 'Show speaker name ','soundfaith' );?>
			</label>
		</div>
		<div>
			<label>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="soundfaith-include-series" value="true" checked="checked" />
				<?php _e( 'Show series title ','soundfaith' );?>
			</label>
		</div>
		<div>
			<label>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="checkbox" name="soundfaith-include-date-presented" value="true" checked="checked" />
				<?php _e( 'Show date','soundfaith' );?>
			</label>
		</div>
		<div>
			<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px;"><?php _e( 'SAVE','soundfaith' );?></a>
		</div>
	</form>
</div>
</body>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>
<script language="javascript" type="text/javascript" src="js/tiny_mce_popup.js"></script>
<script type="text/javascript">
	if(jQuery("#soundfaith-include-playlist").is(':checked'))
	{
		jQuery("#soundfaith-dialog input[type=checkbox]").each(function() 
		  {
			  jQuery(this).removeAttr('disabled');
		  })
		  jQuery("#soundfaith-include-playlist").removeAttr('disabled');
	}
	else
	{
		jQuery("#soundfaith-dialog input[type=checkbox]").each(function() 
			{
				jQuery(this).attr('disabled','disabled');
			})
			jQuery("#soundfaith-include-playlist").removeAttr('disabled');
	}
	jQuery("#soundfaith-include-playlist").click(function() 
	{
		var allChecked = $(this);
		if(jQuery("#soundfaith-include-playlist").is(':checked'))
		{
		  jQuery("#soundfaith-dialog input[type=checkbox]").each(function() 
		  {
			  jQuery(this).removeAttr('disabled');
			  jQuery(this).prop("checked", allChecked.is(':checked'));
		  })
		  jQuery("#soundfaith-include-playlist").removeAttr('disabled');
		}
		else
		{
			jQuery("#soundfaith-dialog input[type=checkbox]").each(function() 
			{
				jQuery(this).attr('disabled','disabled');
				jQuery(this).prop("checked", allChecked.is(':checked'));
			})
			jQuery("#soundfaith-include-playlist").removeAttr('disabled');
		}
	});
	jQuery("#soundfaith-dialog input[type=checkbox]").change(function() 
	{
		var soundfaith_group_id = jQuery('#soundfaith-dialog input[name=soundfaith-group-id]').val();
		var soundfaith_frame_width = jQuery('#soundfaith-dialog input[name=soundfaith-iframe-width]').val();
		var soundfaith_frame_height = jQuery('#soundfaith-dialog input[name=soundfaith-iframe-height]').val();
		if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-playlist]").is(":checked")) 
		{
			var include_playlist = "false";
		}
		else
		{
			var include_playlist = jQuery('#soundfaith-dialog input[name=soundfaith-include-playlist]:checked').val();
		}
		if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-speaker]").is(":checked")) 
		{
			var include_speaker = "false";
		}
		else
		{
			var include_speaker = jQuery('#soundfaith-dialog input[name=soundfaith-include-speaker]:checked').val();
		}
		
		if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-series]").is(":checked")) 
		{
			var include_series = "false";
		}
		else
		{
			var include_series = jQuery('#soundfaith-dialog input[name=soundfaith-include-series]:checked').val();
		}
		
		if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-date-presented]").is(":checked")) 
		{
			var include_date_presented = "false";
		}
		else
		{
			var include_date_presented = jQuery('#soundfaith-dialog input[name=soundfaith-include-date-presented]:checked').val();
		}
		jQuery('#soundfaith_iframe').attr('src', 'https://soundfaith.com/embed/profile/'+soundfaith_group_id+'/recent?includePlaylist='+include_playlist+'&scroll=true&includeSpeaker='+include_speaker+'&includeSeries='+include_series+'&includeDatePresented='+include_date_presented);
	 });
	 
	var ButtonDialog = {
		local_ed: 'ed',
		init: function (ed) {
			ButtonDialog.local_ed = ed;
			tinyMCEPopup.resizeToInnerSize();
		},
		insert: function insertButton(ed) {
			tinyMCEPopup.execCommand('mceRemoveNode', false, null);
			var soundfaith_frame_width = jQuery('#soundfaith-dialog input[name=soundfaith-iframe-width]').val();
			var soundfaith_frame_height = jQuery('#soundfaith-dialog input[name=soundfaith-iframe-height]').val();
			
			
			if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-playlist]").is(":checked")) 
			{
				var include_playlist = "false";
			}
			else
			{
				var include_playlist = jQuery('#soundfaith-dialog input[name=soundfaith-include-playlist]:checked').val();
			}
			
			if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-speaker]").is(":checked")) 
			{
				var include_speaker = "false";
			}
			else
			{
				var include_speaker = jQuery('#soundfaith-dialog input[name=soundfaith-include-speaker]:checked').val();
			}
			
			if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-series]").is(":checked")) 
			{
				var include_series = "false";
			}
			else
			{
				var include_series = jQuery('#soundfaith-dialog input[name=soundfaith-include-series]:checked').val();
			}
			
			if (!jQuery("#soundfaith-dialog input[name=soundfaith-include-date-presented]").is(":checked"))
			{
				var include_date_presented = "false";
			}
			else
			{
				var include_date_presented = jQuery('#soundfaith-dialog input[name=soundfaith-include-date-presented]:checked').val();
			}
			var output = '';
			output = '[soundfaith';
			if (soundfaith_frame_width != '')
			{
				output += ' width="' + soundfaith_frame_width + '" ';
			}
			else
			{
				soundfaith_frame_width=640;
				output += ' width="' + soundfaith_frame_width + '" ';
			}
			if(soundfaith_frame_height != '')
			{
				output += ' height="' + soundfaith_frame_height + '" ';
			}
			else
			{
				soundfaith_frame_height=340;
				 output += ' height="' + soundfaith_frame_height + '" ';
			}
			if (include_playlist != '')
				output += ' include_playlist="' + include_playlist + '" ';
			if (include_speaker != '')
				output += ' include_speaker="' + include_speaker + '" ';
			 if(include_series != '')
				output += ' include_series="' + include_series + '" ';
			if (include_date_presented != '')
				output += ' include_date_presented="' + include_date_presented + '" ';
			output += '][/soundfaith]';
			tinyMCEPopup.execCommand('mceReplaceContent', false, output);
			tinyMCEPopup.close();
		}
	};
	tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
</script>
</html>
