<?php
/*-----------------------------------------------------------------------------------*/
/* Widget for displaying Setting  */
/*-----------------------------------------------------------------------------------*/
$the_soundfaith_group_id = get_option( 'soundfaith_group_id' ) ;
//check soundfaith_group_id exist or not.
if(!empty($the_soundfaith_group_id))
{
	
	/*-----------------------------------------------------------------------------------*/
	/* register widgets
	/*-----------------------------------------------------------------------------------*/
	function soundfaith_register_widgets() 
	{
		register_widget( 'soundfaith_widget' );
	}
	add_action( 'widgets_init', 'soundfaith_register_widgets' );
	
	/*-----------------------------------------------------------------------------------*/
	/* WIDGETS option form, Save widget options, widget output  */
	/*-----------------------------------------------------------------------------------*/
	
	class soundfaith_widget
		extends WP_Widget 
		{
			/*-----------------------------------------------------------------------------------*/
			/* Instantiate the parent object
			/*-----------------------------------------------------------------------------------*/
			function __construct() 
			{
				$soundfaith_widget_ops = array(
					'classname'   => 'soundfaith_widget_class',
					'description' => 'Displays a list of your soundfaith.com sermons. '
				);
				parent::__construct( 'soundfaith_widget', 'SoundFaith Sermons', $soundfaith_widget_ops );
			}
			
			/*-----------------------------------------------------------------------------------*/
			/* Output admin widget options form
			/*-----------------------------------------------------------------------------------*/
			function form( $instance ) 
			{
				$option_soundfaith_group_id   = get_option( 'soundfaith_group_id' );
				
				$defaults                      = array(
					'include_playlist'       => '',
					'include_speaker'       => '',
					'include_date_presented' => '',
					'include_series'         => '',
					'soundfaith_frame_width' => '640',
					'soundfaith_frame_height'=> '646',
				);
				$instance                      = wp_parse_args( ( array ) $instance, $defaults );

				$soundfaith_frame_width        = $instance[ 'soundfaith_frame_width' ];
				$soundfaith_frame_height       = $instance[ 'soundfaith_frame_height' ];
				$include_playlist              = $instance[ 'include_playlist' ];
				$include_speaker               = $instance[ 'include_speaker' ];
				$include_series           	   = $instance[ 'include_series' ];
				$include_date_presented        = $instance[ 'include_date_presented' ];
				?>
				<div class="soundfaith_widgets_option_list">
					<p>
						<label for="Iframe"><?php _e( "Plugin size", "soundfaith" ); ?></label>
						&nbsp;&nbsp;&nbsp;
						<input type="text" name="<?php echo $this->get_field_name( 'soundfaith_frame_width' ); ?>" value="<?php _e( $soundfaith_frame_width,'soundfaith' );?>" size="4"/>&nbsp;<?php _e( 'X','soundfaith' );?> &nbsp;
						<input type="text" name="<?php echo $this->get_field_name( 'soundfaith_frame_height' ); ?>" value="<?php _e( $soundfaith_frame_height,'soundfaith' );?>" size="4"/>
					</p>
					
					<p>
						<label>
							<input type="checkbox" name="<?php echo $this->get_field_name( 'include_playlist' ); ?>" value="true" <?php checked($include_playlist, 'true');?> class="soundfaith_include_playlist"/>
							<?php _e( "Show playlist", "soundfaith" ); ?>
						</label>
					</p>
					
					<p>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<label>
							<input type="checkbox" name="<?php echo $this->get_field_name( 'include_speaker' ); ?>" value="true" <?php checked($include_speaker, 'true');?>/>
							<?php _e( "Show speaker name ", "soundfaith" ); ?>
						</label>
					</p>
					
					<p>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<label>
							<input type="checkbox" name="<?php echo $this->get_field_name( 'include_series' ); ?>" value="true" <?php checked($include_series, 'true');?>/>
							<?php _e( "Show series title ", "soundfaith" ); ?>
						</label>
					</p>
					
					<p>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<label>
							<input type="checkbox" name="<?php echo $this->get_field_name( 'include_date_presented' ); ?>" value="true" <?php checked($include_date_presented, 'true');?>/>
							<?php _e( "Show date", "soundfaith" ); ?>
						</label>
					</p>
				</div>
				<script>
				jQuery(document).ready(function(){
					jQuery(".soundfaith_widgets_option_list p .soundfaith_include_playlist").each(function(index){
						var parent_variable = jQuery(this).parents(".widget-inside").parent().attr('id');
						var allChecked = jQuery(this);
						if(jQuery(this).is(':checked'))
						{
							jQuery('#'+parent_variable + ' .soundfaith_widgets_option_list input[type=checkbox]').each(function() {
								jQuery(this).removeAttr('disabled');
							})
							jQuery(".soundfaith_widgets_option_list p .soundfaith_include_playlist").removeAttr('disabled');
							
						}
						else
						{
							jQuery('#'+parent_variable + ' .soundfaith_widgets_option_list input[type=checkbox]').each(function() {
								jQuery(this).attr('disabled','disabled');
							})
							jQuery(".soundfaith_widgets_option_list p .soundfaith_include_playlist").removeAttr('disabled');
						}
					});
				});
				
				jQuery(".soundfaith_widgets_option_list p .soundfaith_include_playlist").each(function(index){
						
					jQuery(this).click(function() {
						var parent_variable = jQuery(this).parents(".widget-inside").parent().attr('id');
						console.log(parent_variable);
						var allChecked = jQuery(this);
						if(jQuery(this).is(':checked'))
						{
							jQuery('#'+parent_variable + ' .soundfaith_widgets_option_list input[type=checkbox]').each(function() {
								jQuery(this).removeAttr('disabled');
								jQuery(this).prop("checked", allChecked.is(':checked'));
							})
							jQuery(".soundfaith_widgets_option_list p .soundfaith_include_playlist").not(this).removeAttr('disabled');
							
						}
						else
						{
							jQuery('#'+parent_variable + ' .soundfaith_widgets_option_list input[type=checkbox]').each(function() {
								jQuery(this).attr('disabled','disabled');
								jQuery(this).prop("checked", allChecked.is(':checked'));
							})
							jQuery(".soundfaith_widgets_option_list p .soundfaith_include_playlist").removeAttr('disabled');
						}
							
					});
				});
			
				</script>
				<?php
			}
			/*-----------------------------------------------------------------------------------*/
			/* Save widget options
			/*-----------------------------------------------------------------------------------*/
			function update( $new_instance, $old_instance ) 
			{
				$instance                          = $old_instance;
				
				$instance[ 'include_playlist' ]        = strip_tags( $new_instance[ 'include_playlist' ] );
				$instance[ 'include_speaker' ]         = strip_tags( $new_instance[ 'include_speaker' ] );
				$instance[ 'include_series' ]          = strip_tags( $new_instance[ 'include_series' ] );
				$instance[ 'include_date_presented' ]  = strip_tags( $new_instance[ 'include_date_presented' ] );
				$instance[ 'soundfaith_frame_width' ]  = strip_tags( $new_instance[ 'soundfaith_frame_width' ] );
				$instance[ 'soundfaith_frame_height' ] = strip_tags( $new_instance[ 'soundfaith_frame_height' ] );
				
				return $instance;
			}
			/*-----------------------------------------------------------------------------------*/
			/* Widget output
			/*-----------------------------------------------------------------------------------*/
			function widget( $args, $instance ) 
			{
				extract( $args );
				
				$soundfaith_group_id  = get_option( 'soundfaith_group_id' );
				$include_playlist            = $instance[ 'include_playlist' ];
				$include_speaker             = $instance[ 'include_speaker' ];
				$include_series              = $instance[ 'include_series' ];
				$include_date_presented      = $instance[ 'include_date_presented' ];
				$iframe_width 	 = $instance[ 'soundfaith_frame_width' ];
				$frame_height     = $instance[ 'soundfaith_frame_height' ];
				
				if(empty($include_playlist))
				{
					$include_playlist="false";
				}
				if(empty($include_speaker))
				{
					$include_speaker="false";
				}
				if(empty($include_series))
				{
					$include_series="false";
				}
				if(empty($include_date_presented))
				{
					$include_date_presented="false";
				}
				if(empty($iframe_width))
				{
					$iframe_width= 640;
				}
				if(empty($frame_height))
				{
					$frame_height=360;
				}
				
				
				
				if(!empty($soundfaith_group_id))
				{
					echo '<div class="iframe_wrap">';
					echo '<iframe frameborder="0" scrolling="no" allowfullscreen src="https://soundfaith.com/embed/profile/'.$soundfaith_group_id.'/recent?includePlaylist='.$include_playlist.'&scroll=true&includeSpeaker='.$include_speaker.'&includeSeries='.$include_series.'&includeDatePresented='.$include_date_presented.'&source=wordpress" width="'.$iframe_width.'" height="'.$frame_height.'"></iframe>';
					echo '</div>';
				}
			}
		}
}
