<?php
/*
* Plugin Name: SoundFaith Sermons
* Plugin URI: 
* Description: Display your sermons from soundfaith.com on your WordPress website.
* Text Domain: soundfaith
* Version: 1.0.0
* Author: 
* Author URI: 
*/
	defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
	define( 'SOUNDFAITH_PLUGIN_URL', 			plugin_dir_url( __FILE__) );
	define( 'SOUNDFAITH_PLUGIN_PATH',			plugin_dir_path( __FILE__ ) );
	define( 'SOUNDFAITH_PLUGIN_BASENAME', 		plugin_basename( __FILE__ ) );
	define( 'SOUNDFAITH_PLUGIN_VERSION', 	    '1.0' );
	/* ---------------------------------------------------------------------------
	/* Load the plugin required files
	/* --------------------------------------------------------------------------- */
	 
	add_action( 'plugins_loaded','soundfaith_load_function' );
	if ( ! function_exists( 'soundfaith_load_function' ) ) :
	function soundfaith_load_function()
	{
		require_once( SOUNDFAITH_PLUGIN_PATH . 'includes/admin.php' );
		require_once( SOUNDFAITH_PLUGIN_PATH . 'includes/widgets.php' );
		require_once( SOUNDFAITH_PLUGIN_PATH . 'includes/shortcode.php' );
		
		require_once( SOUNDFAITH_PLUGIN_PATH . 'includes/function.php' );
	}
	endif; // soundfaith_load_function
		
	/*-----------------------------------------------------------------------------------*/
	/* Activation Hook.  Check WP Version */
	/*-----------------------------------------------------------------------------------*/
	register_activation_hook( __FILE__, 'soundfaith_activation' );
	function soundfaith_activation() 
	{
		global $wp_version;
		if ( version_compare( $wp_version, "3.9", "<" ) ) {
			deactivate_plugins(SOUNDFAITH_PLUGIN_BASENAME);
			wp_die( "This plugin requires WordPress version 3.9 or higher." );
		}
		else
		{
			if(!get_option('soundfaith_plugin_activated'))
			{
				update_option('soundfaith_plugin_activated', '1');
			}
		}
	}
	
	/* ---------------------------------------------------------------------------
	/* register_deactivation_hook Hook Plugin
	/* --------------------------------------------------------------------------- */
	if ( function_exists('register_deactivation_hook') )
	 register_deactivation_hook(__FILE__,'soundfaith_plugin_deactivation'); 
	if ( ! function_exists( 'soundfaith_plugin_deactivation' ) ) :
	function soundfaith_plugin_deactivation() 
	{ 
		update_option( 'soundfaith_plugin_activated','0');
	}
	endif; // soundfaith_plugin_deactivation
	/* ---------------------------------------------------------------------------
	/* register_uninstall_hook Hook Plugin
	/* --------------------------------------------------------------------------- */
	 
	if ( function_exists('register_uninstall_hook') )
	register_uninstall_hook( __FILE__, 'soundfaith_plugin_uninstall' );
	if ( ! function_exists( 'soundfaith_plugin_uninstall' ) ) :
	function soundfaith_plugin_uninstall() 
	{
		delete_option( 'soundfaith_group_id' );
		delete_option( 'soundfaith_group_name' );
		delete_option( 'soundfaith_plugin_activated' );
		delete_option( 'widget_soundfaith_widget' );
	}
	endif;// soundfaith_plugin_uninstall
?>
